#define MAX_TOKEN_LEN		64

#define	N2P_BALANCE		0

extern		XCHAR	N2p_pToken[MAX_TOKEN_LEN];
extern		XSHORT	N2p_iCallTime;
extern		XSHORT	N2p_iBalance;

#ifdef __cplusplus
extern "C" {
#endif

	void	N2pStartup();
	void	N2pInitialize();
	void	N2pArpResolved();
	void	N2pLogon();
	void	N2pLogoff();
	BOOLEAN	N2pCall();
	void	N2pAnswerCall(BOOLEAN bAnswer);
	void	N2pHangup();
	void	N2pConnect();
	void	N2pHandleTimer();
	void	N2pSendDtmfKeys(PXCHAR pKeyBuf, UCHAR iLen);

	BOOLEAN	N2pRunTcp();

	BOOLEAN N2pRunUdp();		

	void	N2pSendVoice(UCHAR iLength, PXCHAR pData);

#ifdef __cplusplus
}
#endif
